/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	<stdlib.h>
#include	<stdio.h>
#include	"r64.h"
#include	"r64_types.h"

int
cr_close_file(CR_FILE * f)
{
int	i;

	close(f->fd);
	for ( i = 1 ; i < ENT_LEN ; i ++ )
		if ( f->cache[i].b.buf )
			free(f->cache[i].b.buf);
	free(f);
	r64_error = E_OK;
	return 0;
}
